// /////////////////////////////////////////////////////////
// This file is part of Propel.
//
// Propel is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Propel is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with Propel. If not, see <http://www.gnu.org/licenses/>.
// /////////////////////////////////////////////////////////
// Authored by: Nikolaos Tountas -> salam.kaser-at-gmail.com
// /////////////////////////////////////////////////////////
package propel.core.utils;

/**
 * How to react in case of an exception upon accessing or processing a filesystem path.
 */
public enum ScanFailMode
{
  /**
   * Exceptions are ignored
   */
  Never,
  /**
   * Exceptions are allowed to bubble up
   */
  Immediate,
  /**
   * Exceptions are swallowed but collected and associated with the paths that caused the failure, for potential analysis later on.
   */
  SkipAndCollect
}
